Bug 813130

Summary: [abrt] kernel: WARNING: at fs/inode.c:290 drop_nlink+0x46/0x50()
Product: [Fedora] Fedora Reporter: u5afe
Component: kernelAssignee: Eric Sandeen <esandeen>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: fxgsell, gansalmon, itamar, jforbes, jmoskovc, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:e67a696ae0ebd88d1ca1f88273a9403d72c3fe54 first=3.3.1 tested=3.5.4
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-13 10:06:28 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description u5afe 2012-04-16 22:44:15 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.1-5.fc16.x86_64 root=UUID=028ac75a-e8f1-473d-b95b-174076a7450b ro rd.md=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.lvm=0 rd.luks=0 LANG=en_US.UTF-8
comment:        Started another SPICE client App to view the guest, using virt-manager cause spicy to crash
kernel:         3.3.1-5.fc16.x86_64
reason:         WARNING: at fs/inode.c:290 drop_nlink+0x46/0x50()
time:           Tue 17 Apr 2012 12:42:28 PM EST

backtrace:
:WARNING: at fs/inode.c:290 drop_nlink+0x46/0x50()
:Hardware name: H67MA-D2H
:Modules linked in: ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle des_generic md4 nls_utf8 cifs fscache lockd 8021q garp fcoe libfcoe libfc scsi_transport_fc scsi_tgt bridge stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_REJECT nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables r8169 vhost_net macvtap macvlan tun snd_hda_codec_hdmi snd_hda_codec_realtek sunrpc fuse snd_hda_intel snd_hda_codec iTCO_wdt virtio_net iTCO_vendor_support mii snd_hwdep i2c_i801 snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc serio_raw kvm_intel kvm microcode uinput usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 2584, comm: spicy Not tainted 3.3.1-5.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8105798f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff810579ea>] warn_slowpath_null+0x1a/0x20
: [<ffffffff8119a736>] drop_nlink+0x46/0x50
: [<ffffffff81205590>] ext4_dec_count+0x20/0x40
: [<ffffffff81209005>] ext4_rename+0x3d5/0x840
: [<ffffffff8118e2c6>] vfs_rename+0x2c6/0x480
: [<ffffffff8118c9b1>] ? __lookup_hash.part.7+0x31/0xe0
: [<ffffffff811918c3>] sys_renameat+0x1f3/0x220
: [<ffffffff81143aac>] ? tlb_flush_mmu+0x6c/0x90
: [<ffffffff8114b18d>] ? unmap_region+0x10d/0x130
: [<ffffffff8114b05e>] ? remove_vma+0x6e/0x90
: [<ffffffff810d320c>] ? __audit_syscall_entry+0xcc/0x310
: [<ffffffff8119190b>] sys_rename+0x1b/0x20
: [<ffffffff815fc069>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: d82ef912-4756-4001-84d0-64aab67a1351
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6784.42
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 3701
:System Memory: 7716
:System Swap: 16383
:Vendor: Gigabyte Technology Co., Ltd.
:System: H67MA-D2H 
:Form factor: Desktop
:Kernel: 3.3.1-5.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(32902:258:5208:53248) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7170:5208:45061) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7242:5208:20481) pci, None, PCI/ISA, H67 Express Chipset Family LPC Controller
:(32902:7196:5208:20481) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7200:5208:40962) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:5208:20481) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:9294:5208:20480) pci, None, PCI/PCI, GA-EP45-DS5 Motherboard
:(4147:404:5208:20487) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7213:5208:20486) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5208:20486) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:0:0) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5208:7226) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:5208:20480) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sdb3 / ext4 4096 4096 7670918 6322573 6245794 1925120 1787513 1787513
:/dev/sdc1 WITHHELD fuseblk 4096 4096 244190000 146408025 146408025 585927012 585713735 585713735
:/dev/sdb2 /boot ext4 1024 1024 508745 435263 409663 128016 127785 127785
:/dev/sdb5 /home ext4 4096 4096 18148369 10837512 9928584 4546560 4543849 4543849
:
Comment 1 Dave Jones 2012-10-08 11:39:14 EDT
*** Bug 860961 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2012-10-23 11:25:27 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Justin M. Forbes 2012-11-13 10:06:28 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.